//
//  Extensions.swift
//  Runner
//
//  Created by Zohaib Iqbal Kambrani on 09/06/2021.
//  Copyright © 2021 The Chromium Authors. All rights reserved.
//
import AADraggableView

extension AADraggableView{
    func enable(_ enable:Bool){
        isEnabled = enable
        if enable == false{
            gestureRecognizers?.forEach({ gest in
                removeGestureRecognizer(gest)
            })
        }
    }
}

extension UIView{
    func hidden(_ hidden:Bool, rootView:UIView){
        UIView.transition(with: rootView, duration: 0.5, options: .transitionCrossDissolve, animations: {
            self.isHidden = hidden
        })
    }
}
